# MCS_DUin Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_DUin:

List of all members.

## Public Member Functions

| MCS_DUin (unsigned tag=13, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_Reason | m_reason
MCS_ArrayOf_UserId | m_userIds

## Constructor & Destructor Documentation

MCS_DUin::MCS_DUin | ( | unsigned | tag = `13`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_DUin::GetDataLength | ( |  | ) | const

PBoolean MCS_DUin::Decode | ( | PASN_Stream & | strm | ) |

void MCS_DUin::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_DUin::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_DUin::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_DUin::Clone | ( |  | ) | const

## Member Data Documentation

MCS_Reason MCS_DUin::m_reason

MCS_ArrayOf_UserId MCS_DUin::m_userIds

The documentation for this class was generated from the following file:

- mcs.h